# IO.Swagger - the C# library for the DiscoverSnoop

API for DiscoverSnoop Service

This C# SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.9.240913
- SDK version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.dotnet.CsharpDotNet2ClientCodegen

<a name="frameworks-supported"></a>
## Frameworks supported
- .NET 2.0

<a name="dependencies"></a>
## Dependencies
- Mono compiler
- Newtonsoft.Json.7.0.1
- RestSharp.Net2.1.1.11

Note: NuGet is downloaded by the mono compilation script and packages are installed with it. No dependency DLLs are bundled with this generator

<a name="installation"></a>
## Installation
Run the following command to generate the DLL
- [Mac/Linux] `/bin/sh compile-mono.sh`
- [Windows] TODO

Then include the DLL (under the `bin` folder) in the C# project, and use the namespaces:
```csharp
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;
```
<a name="getting-started"></a>
## Getting Started

```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class Example
    {
        public void main()
        {


            var apiInstance = new AlertsApi();
            var id = id_example;  // string | ID of the alert to edit ; if adding a new one leave blank
            var alertname = alertname_example;  // string | Name of the alert
            var activated = true;  // bool? | Should the alert be activated or not
            var type = 56;  // int? | Alert type (1= New content for website, 2=New perfirming contents)
            var channel = 56;  // int? | 1 for email, 2 for Slack, 3 for Google Chat
            var recipient = recipient_example;  // string | Email address of recipient or webhook for Slack/Gchat
            var param1 = param1_example;  // string | Parameter 1 (meaning changes with alert type) (optional) 
            var param2 = param2_example;  // string | Parameter 2 (meaning changes with alert type) (optional) 
            var param3 = param3_example;  // string | Parameter 3 (meaning changes with alert type) (optional) 
            var param4 = param4_example;  // string | Parameter 4 (meaning changes with alert type) (optional) 
            var param5 = param5_example;  // string | Parameter 5 (meaning changes with alert type) (optional) 

            try
            {
                // Edit or insert new alert
                List<Domains> result = apiInstance.AlertsChangeGet(id, alertname, activated, type, channel, recipient, param1, param2, param3, param4, param5);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling AlertsApi.AlertsChangeGet: " + e.Message );
            }
        }
    }
}

            var apiInstance = new AlertsApi();
            var id = id_example;  // string | alert id to delete

            try
            {
                // Permanently delete the alert
                List<TransactionInfo> result = apiInstance.AlertsDeleteGet(id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling AlertsApi.AlertsDeleteGet: " + e.Message );
            }
        }
    }
}

            var apiInstance = new AlertsApi();

            try
            {
                // Get alerts for user account
                List<Alerts> result = apiInstance.AlertsGet();
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling AlertsApi.AlertsGet: " + e.Message );
            }
        }
    }
}
```

<a name="documentation-for-api-endpoints"></a>
## Documentation for API Endpoints

All URIs are relative to *https://api.discoversnoop.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AlertsApi* | [**AlertsChangeGet**](docs/AlertsApi.md#alertschangeget) | **GET** /alerts_change | Edit or insert new alert
*AlertsApi* | [**AlertsDeleteGet**](docs/AlertsApi.md#alertsdeleteget) | **GET** /alerts_delete | Permanently delete the alert
*AlertsApi* | [**AlertsGet**](docs/AlertsApi.md#alertsget) | **GET** /alerts | Get alerts for user account
*FavsApi* | [**FavsAddGet**](docs/FavsApi.md#favsaddget) | **GET** /favs_add | Create a new fav
*FavsApi* | [**FavsDeleteGet**](docs/FavsApi.md#favsdeleteget) | **GET** /favs_delete | Permanently delete the fav
*FavsApi* | [**FavsGet**](docs/FavsApi.md#favsget) | **GET** /favs | Get favorites
*FavsApi* | [**FavsUpdateGet**](docs/FavsApi.md#favsupdateget) | **GET** /favs_update | Update the fav
*HistoricalApi* | [**CategoriesGet**](docs/HistoricalApi.md#categoriesget) | **GET** /categories | Get historical stats for categories
*HistoricalApi* | [**CategoryGet**](docs/HistoricalApi.md#categoryget) | **GET** /category | Get history for category ID
*HistoricalApi* | [**DomainGet**](docs/HistoricalApi.md#domainget) | **GET** /domain | Get history for domain name
*HistoricalApi* | [**DomainsGet**](docs/HistoricalApi.md#domainsget) | **GET** /domains | Get historical stats for domains
*HistoricalApi* | [**PageGet**](docs/HistoricalApi.md#pageget) | **GET** /page | Get page history for URL
*HistoricalApi* | [**PagesGet**](docs/HistoricalApi.md#pagesget) | **GET** /pages | Get historical stats for pages
*KbApi* | [**KbArticlesGet**](docs/KbApi.md#kbarticlesget) | **GET** /kb_articles | Get knowledge base articles
*LiveApi* | [**LivecategoriesGet**](docs/LiveApi.md#livecategoriesget) | **GET** /livecategories | Get livedata stats for categories
*LiveApi* | [**LivedomainsGet**](docs/LiveApi.md#livedomainsget) | **GET** /livedomains | Get livedata stats for domains
*LiveApi* | [**LivepagesGet**](docs/LiveApi.md#livepagesget) | **GET** /livepages | Get livedata stats for pages
*UserApi* | [**UserCountriesChangeGet**](docs/UserApi.md#usercountrieschangeget) | **GET** /user_countries_change | Change user's activated countries
*UserApi* | [**UserCustidChangeGet**](docs/UserApi.md#usercustidchangeget) | **GET** /user_custid_change | Change user customer id. This function is system reserved
*UserApi* | [**UserDeleteGet**](docs/UserApi.md#userdeleteget) | **GET** /user_delete | Permanently delete the user
*UserApi* | [**UserDetailsChangeGet**](docs/UserApi.md#userdetailschangeget) | **GET** /user_details_change | Change user details
*UserApi* | [**UserLoginGet**](docs/UserApi.md#userloginget) | **GET** /user_login | Login user with his credentials
*UserApi* | [**UserMessagesGet**](docs/UserApi.md#usermessagesget) | **GET** /user_messages | Get messages for user
*UserApi* | [**UserPasswordChangeGet**](docs/UserApi.md#userpasswordchangeget) | **GET** /user_password_change | Change user password
*UserApi* | [**UserPasswordResetGet**](docs/UserApi.md#userpasswordresetget) | **GET** /user_password_reset | Reset user password
*UserApi* | [**UserRefreshSubscriptionGet**](docs/UserApi.md#userrefreshsubscriptionget) | **GET** /user_refresh_subscription | Refresh user rights with his Customer ID. This function is system reserved
*UserApi* | [**UserRegisterGet**](docs/UserApi.md#userregisterget) | **GET** /user_register | Login user with his credentials

<a name="documentation-for-models"></a>
## Documentation for Models

 - [IO.Swagger.Model.AlertCollection](docs/AlertCollection.md)
 - [IO.Swagger.Model.Alerts](docs/Alerts.md)
 - [IO.Swagger.Model.Categories](docs/Categories.md)
 - [IO.Swagger.Model.CategoriesCollection](docs/CategoriesCollection.md)
 - [IO.Swagger.Model.Category](docs/Category.md)
 - [IO.Swagger.Model.DistributionCollection](docs/DistributionCollection.md)
 - [IO.Swagger.Model.Domain](docs/Domain.md)
 - [IO.Swagger.Model.Domains](docs/Domains.md)
 - [IO.Swagger.Model.DomainsCollection](docs/DomainsCollection.md)
 - [IO.Swagger.Model.Favs](docs/Favs.md)
 - [IO.Swagger.Model.FavsCollection](docs/FavsCollection.md)
 - [IO.Swagger.Model.HistoryCollection](docs/HistoryCollection.md)
 - [IO.Swagger.Model.KB](docs/KB.md)
 - [IO.Swagger.Model.KBCollection](docs/KBCollection.md)
 - [IO.Swagger.Model.Message](docs/Message.md)
 - [IO.Swagger.Model.MessageCollection](docs/MessageCollection.md)
 - [IO.Swagger.Model.MetricsCollection](docs/MetricsCollection.md)
 - [IO.Swagger.Model.Page](docs/Page.md)
 - [IO.Swagger.Model.Pages](docs/Pages.md)
 - [IO.Swagger.Model.PagesCollection](docs/PagesCollection.md)
 - [IO.Swagger.Model.TransactionInfo](docs/TransactionInfo.md)
 - [IO.Swagger.Model.UserCollection](docs/UserCollection.md)
 - [IO.Swagger.Model.UserInfo](docs/UserInfo.md)

<a name="documentation-for-authorization"></a>
## Documentation for Authorization

<a name="bearerAuth"></a>
### bearerAuth


