# IO.Swagger.Api.FavsApi

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**FavsAddGet**](FavsApi.md#favsaddget) | **GET** /favs_add | Create a new fav
[**FavsDeleteGet**](FavsApi.md#favsdeleteget) | **GET** /favs_delete | Permanently delete the fav
[**FavsGet**](FavsApi.md#favsget) | **GET** /favs | Get favorites
[**FavsUpdateGet**](FavsApi.md#favsupdateget) | **GET** /favs_update | Update the fav

<a name="favsaddget"></a>
# **FavsAddGet**
> List<TransactionInfo> FavsAddGet (string name, string action, string parameters)

Create a new fav

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class FavsAddGetExample
    {
        public void main()
        {


            var apiInstance = new FavsApi();
            var name = name_example;  // string | Name of the fav. (optional) 
            var action = action_example;  // string | Action to be opened. (optional) 
            var parameters = parameters_example;  // string | Action's parameters encoded in JSON. (optional) 

            try
            {
                // Create a new fav
                List&lt;TransactionInfo&gt; result = apiInstance.FavsAddGet(name, action, parameters);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling FavsApi.FavsAddGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **string**| Name of the fav. | [optional] 
 **action** | **string**| Action to be opened. | [optional] 
 **parameters** | **string**| Action&#x27;s parameters encoded in JSON. | [optional] 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="favsdeleteget"></a>
# **FavsDeleteGet**
> List<TransactionInfo> FavsDeleteGet (string id)

Permanently delete the fav

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class FavsDeleteGetExample
    {
        public void main()
        {


            var apiInstance = new FavsApi();
            var id = id_example;  // string | ID of the fav to delete. (optional) 

            try
            {
                // Permanently delete the fav
                List&lt;TransactionInfo&gt; result = apiInstance.FavsDeleteGet(id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling FavsApi.FavsDeleteGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| ID of the fav to delete. | [optional] 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="favsget"></a>
# **FavsGet**
> List<Favs> FavsGet (string id)

Get favorites

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class FavsGetExample
    {
        public void main()
        {


            var apiInstance = new FavsApi();
            var id = id_example;  // string | ID of the requested fav. ignore or set to 0 to get the full favs list (optional) 

            try
            {
                // Get favorites
                List&lt;Favs&gt; result = apiInstance.FavsGet(id);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling FavsApi.FavsGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| ID of the requested fav. ignore or set to 0 to get the full favs list | [optional] 

### Return type

[**List<Favs>**](Favs.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="favsupdateget"></a>
# **FavsUpdateGet**
> List<TransactionInfo> FavsUpdateGet (string id, string name, string action, string parameters, int? scheduled, string scheduledto)

Update the fav

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class FavsUpdateGetExample
    {
        public void main()
        {


            var apiInstance = new FavsApi();
            var id = id_example;  // string | ID of the fav that should be edited
            var name = name_example;  // string | Name of the fav. (optional) 
            var action = action_example;  // string | Action to be opened. (optional) 
            var parameters = parameters_example;  // string | Action's parameters encoded in JSON. (optional) 
            var scheduled = 56;  // int? | 0 if not scheduled, else x in hours (optional) 
            var scheduledto = scheduledto_example;  // string | email address of the recipient of this report (optional) 

            try
            {
                // Update the fav
                List&lt;TransactionInfo&gt; result = apiInstance.FavsUpdateGet(id, name, action, parameters, scheduled, scheduledto);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling FavsApi.FavsUpdateGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **string**| ID of the fav that should be edited | 
 **name** | **string**| Name of the fav. | [optional] 
 **action** | **string**| Action to be opened. | [optional] 
 **parameters** | **string**| Action&#x27;s parameters encoded in JSON. | [optional] 
 **scheduled** | **int?**| 0 if not scheduled, else x in hours | [optional] 
 **scheduledto** | **string**| email address of the recipient of this report | [optional] 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

