# IO.Swagger.Api.KbApi

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**KbArticlesGet**](KbApi.md#kbarticlesget) | **GET** /kb_articles | Get knowledge base articles

<a name="kbarticlesget"></a>
# **KbArticlesGet**
> List<KB> KbArticlesGet (int? article)

Get knowledge base articles

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class KbArticlesGetExample
    {
        public void main()
        {


            var apiInstance = new KbApi();
            var article = 56;  // int? | ID of the requested article. 0 to get the full article list (optional) 

            try
            {
                // Get knowledge base articles
                List&lt;KB&gt; result = apiInstance.KbArticlesGet(article);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling KbApi.KbArticlesGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **article** | **int?**| ID of the requested article. 0 to get the full article list | [optional] 

### Return type

[**List<KB>**](KB.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

