# IO.Swagger.Api.UserApi

All URIs are relative to *https://api.discoversnoop.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**UserCountriesChangeGet**](UserApi.md#usercountrieschangeget) | **GET** /user_countries_change | Change user&#x27;s activated countries
[**UserCustidChangeGet**](UserApi.md#usercustidchangeget) | **GET** /user_custid_change | Change user customer id. This function is system reserved
[**UserDeleteGet**](UserApi.md#userdeleteget) | **GET** /user_delete | Permanently delete the user
[**UserDetailsChangeGet**](UserApi.md#userdetailschangeget) | **GET** /user_details_change | Change user details
[**UserLoginGet**](UserApi.md#userloginget) | **GET** /user_login | Login user with his credentials
[**UserMessagesGet**](UserApi.md#usermessagesget) | **GET** /user_messages | Get messages for user
[**UserPasswordChangeGet**](UserApi.md#userpasswordchangeget) | **GET** /user_password_change | Change user password
[**UserPasswordResetGet**](UserApi.md#userpasswordresetget) | **GET** /user_password_reset | Reset user password
[**UserRefreshSubscriptionGet**](UserApi.md#userrefreshsubscriptionget) | **GET** /user_refresh_subscription | Refresh user rights with his Customer ID. This function is system reserved
[**UserRegisterGet**](UserApi.md#userregisterget) | **GET** /user_register | Login user with his credentials

<a name="usercountrieschangeget"></a>
# **UserCountriesChangeGet**
> List<TransactionInfo> UserCountriesChangeGet (string countries, string categories)

Change user's activated countries

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UserCountriesChangeGetExample
    {
        public void main()
        {


            var apiInstance = new UserApi();
            var countries = countries_example;  // string | json encoded string representing countries to activate
            var categories = categories_example;  // string | json encoded string representing categories ID to activate

            try
            {
                // Change user's activated countries
                List&lt;TransactionInfo&gt; result = apiInstance.UserCountriesChangeGet(countries, categories);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UserCountriesChangeGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **countries** | **string**| json encoded string representing countries to activate | 
 **categories** | **string**| json encoded string representing categories ID to activate | 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="usercustidchangeget"></a>
# **UserCustidChangeGet**
> List<TransactionInfo> UserCustidChangeGet (string custid)

Change user customer id. This function is system reserved

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UserCustidChangeGetExample
    {
        public void main()
        {


            var apiInstance = new UserApi();
            var custid = custid_example;  // string | new customer id for user

            try
            {
                // Change user customer id. This function is system reserved
                List&lt;TransactionInfo&gt; result = apiInstance.UserCustidChangeGet(custid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UserCustidChangeGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **custid** | **string**| new customer id for user | 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="userdeleteget"></a>
# **UserDeleteGet**
> List<TransactionInfo> UserDeleteGet ()

Permanently delete the user

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UserDeleteGetExample
    {
        public void main()
        {


            var apiInstance = new UserApi();

            try
            {
                // Permanently delete the user
                List&lt;TransactionInfo&gt; result = apiInstance.UserDeleteGet();
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UserDeleteGet: " + e.Message );
            }
        }
    }
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="userdetailschangeget"></a>
# **UserDetailsChangeGet**
> List<TransactionInfo> UserDetailsChangeGet (string email, string fname, string lname)

Change user details

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UserDetailsChangeGetExample
    {
        public void main()
        {


            var apiInstance = new UserApi();
            var email = email_example;  // string | new email address for user
            var fname = fname_example;  // string | new firstname for user
            var lname = lname_example;  // string | new lastname for user

            try
            {
                // Change user details
                List&lt;TransactionInfo&gt; result = apiInstance.UserDetailsChangeGet(email, fname, lname);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UserDetailsChangeGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **string**| new email address for user | 
 **fname** | **string**| new firstname for user | 
 **lname** | **string**| new lastname for user | 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="userloginget"></a>
# **UserLoginGet**
> List<UserInfo> UserLoginGet (string email, string password, int? pin)

Login user with his credentials

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UserLoginGetExample
    {
        public void main()
        {


            var apiInstance = new UserApi();
            var email = email_example;  // string | email address for user
            var password = password_example;  // string | password for user
            var pin = 56;  // int? | pin code to validate account creation ; when using pin code, password must be set to \"loginwithpin\" (optional) 

            try
            {
                // Login user with his credentials
                List&lt;UserInfo&gt; result = apiInstance.UserLoginGet(email, password, pin);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UserLoginGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **string**| email address for user | 
 **password** | **string**| password for user | 
 **pin** | **int?**| pin code to validate account creation ; when using pin code, password must be set to \&quot;loginwithpin\&quot; | [optional] 

### Return type

[**List<UserInfo>**](UserInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="usermessagesget"></a>
# **UserMessagesGet**
> List<Message> UserMessagesGet (int? message)

Get messages for user

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UserMessagesGetExample
    {
        public void main()
        {


            var apiInstance = new UserApi();
            var message = 56;  // int? | ID of the requested message. 0 to get the full message list (optional) 

            try
            {
                // Get messages for user
                List&lt;Message&gt; result = apiInstance.UserMessagesGet(message);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UserMessagesGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **message** | **int?**| ID of the requested message. 0 to get the full message list | [optional] 

### Return type

[**List<Message>**](Message.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="userpasswordchangeget"></a>
# **UserPasswordChangeGet**
> List<TransactionInfo> UserPasswordChangeGet (string email, string password, string newpassword)

Change user password

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UserPasswordChangeGetExample
    {
        public void main()
        {


            var apiInstance = new UserApi();
            var email = email_example;  // string | email address for user
            var password = password_example;  // string | current password for user
            var newpassword = newpassword_example;  // string | new password to set up for user

            try
            {
                // Change user password
                List&lt;TransactionInfo&gt; result = apiInstance.UserPasswordChangeGet(email, password, newpassword);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UserPasswordChangeGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **string**| email address for user | 
 **password** | **string**| current password for user | 
 **newpassword** | **string**| new password to set up for user | 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="userpasswordresetget"></a>
# **UserPasswordResetGet**
> List<TransactionInfo> UserPasswordResetGet (string email)

Reset user password

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UserPasswordResetGetExample
    {
        public void main()
        {


            var apiInstance = new UserApi();
            var email = email_example;  // string | email address for user

            try
            {
                // Reset user password
                List&lt;TransactionInfo&gt; result = apiInstance.UserPasswordResetGet(email);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UserPasswordResetGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **string**| email address for user | 

### Return type

[**List<TransactionInfo>**](TransactionInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="userrefreshsubscriptionget"></a>
# **UserRefreshSubscriptionGet**
> List<UserInfo> UserRefreshSubscriptionGet (string custid)

Refresh user rights with his Customer ID. This function is system reserved

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UserRefreshSubscriptionGetExample
    {
        public void main()
        {


            var apiInstance = new UserApi();
            var custid = custid_example;  // string | Customer ID for the user

            try
            {
                // Refresh user rights with his Customer ID. This function is system reserved
                List&lt;UserInfo&gt; result = apiInstance.UserRefreshSubscriptionGet(custid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UserRefreshSubscriptionGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **custid** | **string**| Customer ID for the user | 

### Return type

[**List<UserInfo>**](UserInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="userregisterget"></a>
# **UserRegisterGet**
> List<UserInfo> UserRegisterGet (string email, string password, string fname, string lname, string referrer)

Login user with his credentials

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class UserRegisterGetExample
    {
        public void main()
        {


            var apiInstance = new UserApi();
            var email = email_example;  // string | email address for user
            var password = password_example;  // string | password for user
            var fname = fname_example;  // string | new firstname for user
            var lname = lname_example;  // string | new lastname for user
            var referrer = referrer_example;  // string | referrer for this user. should be urlencoded (optional) 

            try
            {
                // Login user with his credentials
                List&lt;UserInfo&gt; result = apiInstance.UserRegisterGet(email, password, fname, lname, referrer);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling UserApi.UserRegisterGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **email** | **string**| email address for user | 
 **password** | **string**| password for user | 
 **fname** | **string**| new firstname for user | 
 **lname** | **string**| new lastname for user | 
 **referrer** | **string**| referrer for this user. should be urlencoded | [optional] 

### Return type

[**List<UserInfo>**](UserInfo.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

