using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class AlertCollection {
    /// <summary>
    /// Gets or Sets Id
    /// </summary>
    [DataMember(Name="id", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "id")]
    public string Id { get; set; }

    /// <summary>
    /// Gets or Sets CreatedAt
    /// </summary>
    [DataMember(Name="createdAt", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "createdAt")]
    public string CreatedAt { get; set; }

    /// <summary>
    /// Gets or Sets AlertName
    /// </summary>
    [DataMember(Name="alertName", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "alertName")]
    public string AlertName { get; set; }

    /// <summary>
    /// Gets or Sets Activated
    /// </summary>
    [DataMember(Name="activated", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "activated")]
    public bool? Activated { get; set; }

    /// <summary>
    /// Gets or Sets Type
    /// </summary>
    [DataMember(Name="type", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "type")]
    public int? Type { get; set; }

    /// <summary>
    /// 1 for email, 2 for Slack, 3 for Google Chat
    /// </summary>
    /// <value>1 for email, 2 for Slack, 3 for Google Chat</value>
    [DataMember(Name="channel", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "channel")]
    public int? Channel { get; set; }

    /// <summary>
    /// email address of recipient of webhooks for slack/google
    /// </summary>
    /// <value>email address of recipient of webhooks for slack/google</value>
    [DataMember(Name="recipient", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "recipient")]
    public string Recipient { get; set; }

    /// <summary>
    /// Gets or Sets Param1
    /// </summary>
    [DataMember(Name="param1", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "param1")]
    public string Param1 { get; set; }

    /// <summary>
    /// Gets or Sets Param2
    /// </summary>
    [DataMember(Name="param2", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "param2")]
    public string Param2 { get; set; }

    /// <summary>
    /// Gets or Sets Param3
    /// </summary>
    [DataMember(Name="param3", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "param3")]
    public string Param3 { get; set; }

    /// <summary>
    /// Gets or Sets Param4
    /// </summary>
    [DataMember(Name="param4", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "param4")]
    public string Param4 { get; set; }

    /// <summary>
    /// Gets or Sets Param5
    /// </summary>
    [DataMember(Name="param5", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "param5")]
    public string Param5 { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class AlertCollection {\n");
      sb.Append("  Id: ").Append(Id).Append("\n");
      sb.Append("  CreatedAt: ").Append(CreatedAt).Append("\n");
      sb.Append("  AlertName: ").Append(AlertName).Append("\n");
      sb.Append("  Activated: ").Append(Activated).Append("\n");
      sb.Append("  Type: ").Append(Type).Append("\n");
      sb.Append("  Channel: ").Append(Channel).Append("\n");
      sb.Append("  Recipient: ").Append(Recipient).Append("\n");
      sb.Append("  Param1: ").Append(Param1).Append("\n");
      sb.Append("  Param2: ").Append(Param2).Append("\n");
      sb.Append("  Param3: ").Append(Param3).Append("\n");
      sb.Append("  Param4: ").Append(Param4).Append("\n");
      sb.Append("  Param5: ").Append(Param5).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
