using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class CategoriesCollection {
    /// <summary>
    /// Gets or Sets Id
    /// </summary>
    [DataMember(Name="id", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "id")]
    public int? Id { get; set; }

    /// <summary>
    /// true if current category is a root category
    /// </summary>
    /// <value>true if current category is a root category</value>
    [DataMember(Name="is_root", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "is_root")]
    public bool? IsRoot { get; set; }

    /// <summary>
    /// Gets or Sets Score
    /// </summary>
    [DataMember(Name="score", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "score")]
    public int? Score { get; set; }

    /// <summary>
    /// Gets or Sets Position
    /// </summary>
    [DataMember(Name="position", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "position")]
    public int? Position { get; set; }

    /// <summary>
    /// Gets or Sets Publications
    /// </summary>
    [DataMember(Name="publications", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "publications")]
    public int? Publications { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class CategoriesCollection {\n");
      sb.Append("  Id: ").Append(Id).Append("\n");
      sb.Append("  IsRoot: ").Append(IsRoot).Append("\n");
      sb.Append("  Score: ").Append(Score).Append("\n");
      sb.Append("  Position: ").Append(Position).Append("\n");
      sb.Append("  Publications: ").Append(Publications).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
