using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class Category {
    /// <summary>
    /// true if your request was executed correctly, false otherwise. more information in transaction_state
    /// </summary>
    /// <value>true if your request was executed correctly, false otherwise. more information in transaction_state</value>
    [DataMember(Name="status", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "status")]
    public bool? Status { get; set; }

    /// <summary>
    /// the transaction ID that was assignated to your request. use it for customer suppport
    /// </summary>
    /// <value>the transaction ID that was assignated to your request. use it for customer suppport</value>
    [DataMember(Name="transaction_id", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "transaction_id")]
    public string TransactionId { get; set; }

    /// <summary>
    /// verbose information about execution of your request
    /// </summary>
    /// <value>verbose information about execution of your request</value>
    [DataMember(Name="transaction_state", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "transaction_state")]
    public string TransactionState { get; set; }

    /// <summary>
    /// Gets or Sets Data
    /// </summary>
    [DataMember(Name="data", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "data")]
    public List<MetricsCollection> Data { get; set; }

    /// <summary>
    /// Gets or Sets Info
    /// </summary>
    [DataMember(Name="info", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "info")]
    public List<CategoriesCollection> Info { get; set; }

    /// <summary>
    /// Gets or Sets Topdomains
    /// </summary>
    [DataMember(Name="topdomains", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "topdomains")]
    public List<DomainsCollection> Topdomains { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class Category {\n");
      sb.Append("  Status: ").Append(Status).Append("\n");
      sb.Append("  TransactionId: ").Append(TransactionId).Append("\n");
      sb.Append("  TransactionState: ").Append(TransactionState).Append("\n");
      sb.Append("  Data: ").Append(Data).Append("\n");
      sb.Append("  Info: ").Append(Info).Append("\n");
      sb.Append("  Topdomains: ").Append(Topdomains).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
