using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class DomainsCollection {
    /// <summary>
    /// Gets or Sets Publisher
    /// </summary>
    [DataMember(Name="publisher", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "publisher")]
    public string Publisher { get; set; }

    /// <summary>
    /// Gets or Sets PublisherUrl
    /// </summary>
    [DataMember(Name="publisher_url", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "publisher_url")]
    public string PublisherUrl { get; set; }

    /// <summary>
    /// Gets or Sets Score
    /// </summary>
    [DataMember(Name="score", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "score")]
    public int? Score { get; set; }

    /// <summary>
    /// Gets or Sets Position
    /// </summary>
    [DataMember(Name="position", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "position")]
    public int? Position { get; set; }

    /// <summary>
    /// Gets or Sets Publications
    /// </summary>
    [DataMember(Name="publications", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "publications")]
    public int? Publications { get; set; }

    /// <summary>
    /// Gets or Sets Firstviewed
    /// </summary>
    [DataMember(Name="firstviewed", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "firstviewed")]
    public string Firstviewed { get; set; }

    /// <summary>
    /// Gets or Sets Lastviewed
    /// </summary>
    [DataMember(Name="lastviewed", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "lastviewed")]
    public string Lastviewed { get; set; }

    /// <summary>
    /// this domain is whitelisted to publish in newsstories format
    /// </summary>
    /// <value>this domain is whitelisted to publish in newsstories format</value>
    [DataMember(Name="isnews", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isnews")]
    public bool? Isnews { get; set; }

    /// <summary>
    /// this domain is whitelisted to publish in /health category
    /// </summary>
    /// <value>this domain is whitelisted to publish in /health category</value>
    [DataMember(Name="ishealth", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "ishealth")]
    public bool? Ishealth { get; set; }

    /// <summary>
    /// this domain is whitelisted to publish in /finance format
    /// </summary>
    /// <value>this domain is whitelisted to publish in /finance format</value>
    [DataMember(Name="isfinance", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "isfinance")]
    public bool? Isfinance { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class DomainsCollection {\n");
      sb.Append("  Publisher: ").Append(Publisher).Append("\n");
      sb.Append("  PublisherUrl: ").Append(PublisherUrl).Append("\n");
      sb.Append("  Score: ").Append(Score).Append("\n");
      sb.Append("  Position: ").Append(Position).Append("\n");
      sb.Append("  Publications: ").Append(Publications).Append("\n");
      sb.Append("  Firstviewed: ").Append(Firstviewed).Append("\n");
      sb.Append("  Lastviewed: ").Append(Lastviewed).Append("\n");
      sb.Append("  Isnews: ").Append(Isnews).Append("\n");
      sb.Append("  Ishealth: ").Append(Ishealth).Append("\n");
      sb.Append("  Isfinance: ").Append(Isfinance).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
