using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class MetricsCollection {
    /// <summary>
    /// Gets or Sets Date
    /// </summary>
    [DataMember(Name="date", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "date")]
    public string Date { get; set; }

    /// <summary>
    /// Gets or Sets Score
    /// </summary>
    [DataMember(Name="score", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "score")]
    public int? Score { get; set; }

    /// <summary>
    /// used only for domain endpoint. will be missing in other endpoints
    /// </summary>
    /// <value>used only for domain endpoint. will be missing in other endpoints</value>
    [DataMember(Name="audience", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "audience")]
    public int? Audience { get; set; }

    /// <summary>
    /// Gets or Sets Position
    /// </summary>
    [DataMember(Name="position", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "position")]
    public int? Position { get; set; }

    /// <summary>
    /// Gets or Sets Publications
    /// </summary>
    [DataMember(Name="publications", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "publications")]
    public int? Publications { get; set; }

    /// <summary>
    /// Can be final or partial (for current day)
    /// </summary>
    /// <value>Can be final or partial (for current day)</value>
    [DataMember(Name="type", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "type")]
    public string Type { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class MetricsCollection {\n");
      sb.Append("  Date: ").Append(Date).Append("\n");
      sb.Append("  Score: ").Append(Score).Append("\n");
      sb.Append("  Audience: ").Append(Audience).Append("\n");
      sb.Append("  Position: ").Append(Position).Append("\n");
      sb.Append("  Publications: ").Append(Publications).Append("\n");
      sb.Append("  Type: ").Append(Type).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
