using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class PagesCollection {
    /// <summary>
    /// Gets or Sets Url
    /// </summary>
    [DataMember(Name="url", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "url")]
    public string Url { get; set; }

    /// <summary>
    /// Gets or Sets Title
    /// </summary>
    [DataMember(Name="title", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "title")]
    public string Title { get; set; }

    /// <summary>
    /// Gets or Sets Image
    /// </summary>
    [DataMember(Name="image", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "image")]
    public string Image { get; set; }

    /// <summary>
    /// Gets or Sets Publisher
    /// </summary>
    [DataMember(Name="publisher", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "publisher")]
    public string Publisher { get; set; }

    /// <summary>
    /// Gets or Sets PublisherUrl
    /// </summary>
    [DataMember(Name="publisher_url", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "publisher_url")]
    public string PublisherUrl { get; set; }

    /// <summary>
    /// Gets or Sets Snippet
    /// </summary>
    [DataMember(Name="snippet", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "snippet")]
    public string Snippet { get; set; }

    /// <summary>
    /// Gets or Sets Score
    /// </summary>
    [DataMember(Name="score", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "score")]
    public int? Score { get; set; }

    /// <summary>
    /// Gets or Sets Position
    /// </summary>
    [DataMember(Name="position", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "position")]
    public int? Position { get; set; }

    /// <summary>
    /// Gets or Sets Category
    /// </summary>
    [DataMember(Name="category", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "category")]
    public int? Category { get; set; }

    /// <summary>
    /// Gets or Sets Firstviewed
    /// </summary>
    [DataMember(Name="firstviewed", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "firstviewed")]
    public string Firstviewed { get; set; }

    /// <summary>
    /// Gets or Sets Lastviewed
    /// </summary>
    [DataMember(Name="lastviewed", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "lastviewed")]
    public string Lastviewed { get; set; }

    /// <summary>
    /// Gets or Sets IsNew
    /// </summary>
    [DataMember(Name="is_new", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "is_new")]
    public bool? IsNew { get; set; }

    /// <summary>
    /// Gets or Sets StoryType
    /// </summary>
    [DataMember(Name="story_type", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "story_type")]
    public string StoryType { get; set; }

    /// <summary>
    /// Gets or Sets IsNewsstory
    /// </summary>
    [DataMember(Name="is_newsstory", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "is_newsstory")]
    public bool? IsNewsstory { get; set; }

    /// <summary>
    /// Gets or Sets IsSapphire
    /// </summary>
    [DataMember(Name="is_sapphire", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "is_sapphire")]
    public bool? IsSapphire { get; set; }

    /// <summary>
    /// Gets or Sets IsMoonstone
    /// </summary>
    [DataMember(Name="is_moonstone", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "is_moonstone")]
    public bool? IsMoonstone { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class PagesCollection {\n");
      sb.Append("  Url: ").Append(Url).Append("\n");
      sb.Append("  Title: ").Append(Title).Append("\n");
      sb.Append("  Image: ").Append(Image).Append("\n");
      sb.Append("  Publisher: ").Append(Publisher).Append("\n");
      sb.Append("  PublisherUrl: ").Append(PublisherUrl).Append("\n");
      sb.Append("  Snippet: ").Append(Snippet).Append("\n");
      sb.Append("  Score: ").Append(Score).Append("\n");
      sb.Append("  Position: ").Append(Position).Append("\n");
      sb.Append("  Category: ").Append(Category).Append("\n");
      sb.Append("  Firstviewed: ").Append(Firstviewed).Append("\n");
      sb.Append("  Lastviewed: ").Append(Lastviewed).Append("\n");
      sb.Append("  IsNew: ").Append(IsNew).Append("\n");
      sb.Append("  StoryType: ").Append(StoryType).Append("\n");
      sb.Append("  IsNewsstory: ").Append(IsNewsstory).Append("\n");
      sb.Append("  IsSapphire: ").Append(IsSapphire).Append("\n");
      sb.Append("  IsMoonstone: ").Append(IsMoonstone).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
