using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class UserCollection {
    /// <summary>
    /// Gets or Sets Fname
    /// </summary>
    [DataMember(Name="fname", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "fname")]
    public string Fname { get; set; }

    /// <summary>
    /// Gets or Sets Lname
    /// </summary>
    [DataMember(Name="lname", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "lname")]
    public string Lname { get; set; }

    /// <summary>
    /// Gets or Sets Email
    /// </summary>
    [DataMember(Name="email", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "email")]
    public string Email { get; set; }

    /// <summary>
    /// Gets or Sets Custid
    /// </summary>
    [DataMember(Name="custid", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "custid")]
    public string Custid { get; set; }

    /// <summary>
    /// Gets or Sets Plan
    /// </summary>
    [DataMember(Name="plan", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "plan")]
    public string Plan { get; set; }

    /// <summary>
    /// Gets or Sets PlanDescription
    /// </summary>
    [DataMember(Name="plan_description", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "plan_description")]
    public string PlanDescription { get; set; }

    /// <summary>
    /// Gets or Sets CountriesActivated
    /// </summary>
    [DataMember(Name="countries_activated", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "countries_activated")]
    public string CountriesActivated { get; set; }

    /// <summary>
    /// Gets or Sets CategoriesActivated
    /// </summary>
    [DataMember(Name="categories_activated", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "categories_activated")]
    public string CategoriesActivated { get; set; }

    /// <summary>
    /// Gets or Sets CountriesAllowed
    /// </summary>
    [DataMember(Name="countries_allowed", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "countries_allowed")]
    public int? CountriesAllowed { get; set; }

    /// <summary>
    /// Gets or Sets CountriesOffered
    /// </summary>
    [DataMember(Name="countries_offered", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "countries_offered")]
    public int? CountriesOffered { get; set; }

    /// <summary>
    /// Gets or Sets CountriesDaysToEdit
    /// </summary>
    [DataMember(Name="countries_days_to_edit", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "countries_days_to_edit")]
    public int? CountriesDaysToEdit { get; set; }

    /// <summary>
    /// Gets or Sets LinesInReport
    /// </summary>
    [DataMember(Name="lines_in_report", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "lines_in_report")]
    public int? LinesInReport { get; set; }

    /// <summary>
    /// Gets or Sets AlertsAllowed
    /// </summary>
    [DataMember(Name="alerts_allowed", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "alerts_allowed")]
    public int? AlertsAllowed { get; set; }

    /// <summary>
    /// Gets or Sets ReportsAllowed
    /// </summary>
    [DataMember(Name="reports_allowed", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reports_allowed")]
    public int? ReportsAllowed { get; set; }

    /// <summary>
    /// Gets or Sets ApiAccess
    /// </summary>
    [DataMember(Name="api_access", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "api_access")]
    public int? ApiAccess { get; set; }

    /// <summary>
    /// Gets or Sets FilterAccess
    /// </summary>
    [DataMember(Name="filter_access", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "filter_access")]
    public bool? FilterAccess { get; set; }

    /// <summary>
    /// Gets or Sets ApiToken
    /// </summary>
    [DataMember(Name="api_token", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "api_token")]
    public string ApiToken { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class UserCollection {\n");
      sb.Append("  Fname: ").Append(Fname).Append("\n");
      sb.Append("  Lname: ").Append(Lname).Append("\n");
      sb.Append("  Email: ").Append(Email).Append("\n");
      sb.Append("  Custid: ").Append(Custid).Append("\n");
      sb.Append("  Plan: ").Append(Plan).Append("\n");
      sb.Append("  PlanDescription: ").Append(PlanDescription).Append("\n");
      sb.Append("  CountriesActivated: ").Append(CountriesActivated).Append("\n");
      sb.Append("  CategoriesActivated: ").Append(CategoriesActivated).Append("\n");
      sb.Append("  CountriesAllowed: ").Append(CountriesAllowed).Append("\n");
      sb.Append("  CountriesOffered: ").Append(CountriesOffered).Append("\n");
      sb.Append("  CountriesDaysToEdit: ").Append(CountriesDaysToEdit).Append("\n");
      sb.Append("  LinesInReport: ").Append(LinesInReport).Append("\n");
      sb.Append("  AlertsAllowed: ").Append(AlertsAllowed).Append("\n");
      sb.Append("  ReportsAllowed: ").Append(ReportsAllowed).Append("\n");
      sb.Append("  ApiAccess: ").Append(ApiAccess).Append("\n");
      sb.Append("  FilterAccess: ").Append(FilterAccess).Append("\n");
      sb.Append("  ApiToken: ").Append(ApiToken).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
